This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 189603 - Review Request: libgalago
Review Request: libgalago
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Mahowald
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189609
  Show dependency treegraph
 
Reported: 2006-04-21 11:28 EDT by Brian Pepple
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 14:28:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-04-21 11:28:21 EDT
Spec URL: http://piedmont.homelinux.org/fedora/galago/libgalago.spec
SRPM URL: http://piedmont.homelinux.org/fedora/galago/libgalago-0.5.0-1.src.rpm
Description: Galago presence library

I'll be posting the rest of the galago packages in the next day or so.
Comment 1 John Mahowald 2006-05-16 12:38:07 EDT
- rpmlint checks return clean
- package meets naming guidelines
- package meets packaging guidelines
- license (LGPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on FC5 (x86_64)
- no missing BR
- no unnecessary BR
- locales handled with %find_lang
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

- devel package ok
- no .la files
- post/postun ldconfig ok
- devel requires base package n-v-r 

* URL redirects to some game page, use http://www.galago-project.org/
* minor typo: againse --> against

APPROVED
Comment 2 Brian Pepple 2006-05-17 14:28:22 EDT
Built for FC5 & devel.

Note You need to log in before you can comment on or make changes to this bug.